pipeline{
    agent any
    stages{
        stage('SCM Checkout'){
            steps{
                git 'https://gitlab.com/alex.royer/webapp'
            }
        }
        stage('Build'){
            tools{
                maven 'maven'
            }
            steps{
                sh "mvn clean package"
            }
        }
        stage('Deploy Tomcat'){
            steps{
                deploy adapters:
                    [tomcat8(credentialsId: 'deployer',
                    path: '',
                    url: 'http://192.168.60.20:8080/')],
                    contextPath: null,
    	            war: '**/*.war'
            }
        }
    }
}
